Los riesgos del ‘browser sniffing’

Un cuadro de texto en Google Docs alerta de la necesidad de actualizar a un navegador más moderno

¿¡Más!?

Nada toca más las narices que vivir en una beta de Firefox y que te digan que tienes que “actualizar a un navegador más moderno”. Naturalmente, la primera reacción es pensar mal del equipo de Google Docs y suponer que, al seguir el enlace, me avisarán que determinadas funcionalidades, dentro de poco, sólo estarán disponibles con Chrome. No es el caso:

Google Docs supports the two latest versions of the following browsers:

  • Google Chrome
  • Firefox
  • Safari
  • Internet Explorer

Note: Other browsers might work with Google Docs. However, we can’t guarantee that features will work as expected.

Vamos, que no es que no soporten ni vayan a dejar de soportar Firefox (conste que el hecho de ignorar a Opera me parece fatal, por cierto), sino que me han lanzado la advertencia por error, más que probablemente porque usan ‘browser sniffing’… :-|

Tú dirás, o también puedes hacer un trackback.

2 comentario a “Los riesgos del ‘browser sniffing’”

  1. Ryck says:

    Eso pasa por suponer que nunca va a haber version > 10 (mal) y por usar browser sniffing (peor)

    http://hacks.mozilla.org/2012/01/firefox-goes-2-digit-time-to-check-your-ua-sniffing-scripts/

  2. [...] Authoring Tools: WordPress and Pressbooks (via @brlamb) http://j.mp/zA0pJVHablábamos ayer de los riesgos del browser sniffing. Una imagen vale más que mil palabras:RT @brucel What a difference pretending to be Webkit can [...]

Adelante

XHTML: Puedes usar las siguientes etiquetas: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>

Subscribe to RSS Feed Follow me on Twitter!